=== modified file 'loggerhead/apps/config.py'
--- loggerhead/apps/config.py	2008-06-23 01:03:34 +0000
+++ loggerhead/apps/config.py	2008-06-25 07:03:06 +0000
@@ -23,7 +23,7 @@
 
 from loggerhead.history import is_branch
 
-class Project (object):
+class Project(object):
     def __init__(self, name, config, root_config):
         self.name = name
         self.friendly_name = config.get('name', name)
@@ -128,7 +128,7 @@
     def browse(self, response):
         for p in self.projects:
             p._recheck_auto_folders()
-        class branch:
+        class branch(object):
             @staticmethod
             def static_url(path):
                 return self._static_url_base + path

=== modified file 'loggerhead/controllers/__init__.py'
--- loggerhead/controllers/__init__.py	2008-06-25 09:43:29 +0000
+++ loggerhead/controllers/__init__.py	2008-06-27 05:02:11 +0000
@@ -25,7 +25,7 @@
 from loggerhead.templatefunctions import templatefunctions
 from loggerhead.zptsupport import load_template
 
-class BufferingWriter:
+class BufferingWriter(object):
 
     def __init__(self, writefunc, buf_limit):
         self.bytes = 0

=== modified file 'loggerhead/templates/atom.pt'
--- loggerhead/templates/atom.pt	2008-06-11 04:41:08 +0000
+++ loggerhead/templates/atom.pt	2008-06-26 20:42:15 +0000
@@ -4,7 +4,7 @@
     bazaar changes for <tal:branch-name content="branch/friendly_name">branch name</tal:branch-name>
   </title>
   <updated tal:content="updated">${updated}</updated>
-  <id tal:content="python:branch.url(['atom'])">url</id>
+  <id tal:content="python:branch.url(['/atom'])">url</id>
   <link rel="self" tal:attributes="href python:branch.url([''])" />
 
   <entry tal:repeat="entry changes">
@@ -14,7 +14,7 @@
     <updated tal:content="entry/date/isoformat">
     Z
     </updated>
-    <id tal:content="python:branch.url(['revision', entry.revno])">
+    <id tal:content="python:branch.url(['/revision', entry.revno])">
       ID
     </id>
     <author>
@@ -26,6 +26,6 @@
       comment
     </content>
     <link rel="alternate"
-          tal:attributes="href python:branch.url(['revision', entry.revno])" />
+          tal:attributes="href python:branch.url(['/revision', entry.revno])" />
   </entry>
 </feed>

=== modified file 'loggerhead/tests/test_filechangecache.py'
--- loggerhead/tests/test_filechangecache.py	2007-09-10 12:51:42 +0000
+++ loggerhead/tests/test_filechangecache.py	2008-06-25 07:03:06 +0000
@@ -5,12 +5,12 @@
 
 from loggerhead.changecache import FileChangeCache
 
-class MockEntry:
+class MockEntry(object):
     def __init__(self, revid):
         self.revid = revid
 
 
-class MockHistory:
+class MockHistory(object):
     def __init__(self):
         self.fetched_revids = set()
     def get_file_changes_uncached(self, entries):

